import { CheckinVisitorDto, CheckinVisitorEventDto } from "@smallstack/axios-api-client";
import { ApplicationState } from "./application-state";
export declare const ACTION_SCANBARCODE = "scanBarcode";
export declare const RESPONSE_SCANBARCODE_SUCCESS = "scanBarcodeSuccess";
export declare const RESPONSE_SCANBARCODE_ERROR = "scanBarcodeError";
export declare const ACTION_PRINT = "print";
export declare const RESPONSE_PRINT_SUCCESS = "printSuccess";
export declare const RESPONSE_PRINT_ERROR = "printError";
export declare const ACTION_SEND_APPLICATION_STATE = "sendApplicationState";
export declare const RESPONSE_SEND_APPLICATION_STATE_SUCCESS = "sendApplicationStateSuccess";
export declare const RESPONSE_SEND_APPLICATION_STATE_ERROR = "sendApplicationStateError";
export declare const ACTION_PRINT_FORM = "printForm";
export declare const RESPONSE_PRINT_FORM_SUCCESS = "printFormSuccess";
export declare const RESPONSE_PRINT_FORM_ERROR = "printFormError";
export declare const ACTION_STORE_PROPERTY = "storeProperty";
export declare const RESPONSE_STORE_PROPERTY_SUCCESS = "storePropertySuccess";
export declare const RESPONSE_STORE_PROPERTY_ERROR = "storePropertyError";
export declare const ACTION_LOAD_PROPERTY = "loadProperty";
export declare const RESPONSE_LOAD_PROPERTY_SUCCESS = "loadPropertySuccess";
export declare const RESPONSE_LOAD_PROPERTY_ERROR = "loadPropertyError";
export declare const ACTION_REMOVE_PROPERTY = "removeProperty";
export declare const RESPONSE_REMOVE_PROPERTY_SUCCESS = "removePropertySuccess";
export declare const RESPONSE_REMOVE_PROPERTY_ERROR = "removePropertyError";
export declare const WEB_VIEW_ACTION_REMOVE_LOCAL_STORAGE_PROPERTY = "webViewRemoveLocalStorageProperty";
export declare const RESPONSE_WEB_VIEW_ACTION_REMOVE_LOCAL_STORAGE_PROPERTY_SUCCESS = "webViewRemoveLocalStoragePropertySuccess";
export declare const RESPONSE_WEB_VIEW_ACTION_REMOVE_LOCAL_STORAGE_PROPERTY_ERROR = "webViewRemoveLocalStoragePropertyError";
/**
 * Bridge between the native "Applications" App and a Website
 */
export declare class ApplicationBridge {
    private nsBridgeReady;
    constructor();
    getNsBridge(): any;
    /**
     * Resolves as soon as bridge is available
     */
    getNsBridge$(): Promise<any>;
    isAvailable(): boolean;
    /**
     * Resolves as soon as bridge is available
     */
    isAvailable$(): Promise<void>;
    sendApplicationState(applicationState: ApplicationState): Promise<any>;
    scanBarcode(): Promise<string>;
    printVisitor(visitor: CheckinVisitorDto, event?: CheckinVisitorEventDto): Promise<string>;
    getProperty(key: string): Promise<string>;
    saveProperty(key: string, value: string): Promise<void>;
    removeProperty(key: string): Promise<void>;
    private sendData;
    private unregisterEvents;
}
