"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationConfigurationSchema = exports.ApplicationConfigurations = exports.LOCAL_STORAGE_DEVICE_PIN = exports.LOCAL_STORAGE_DEVICE_UUID = exports.DEVELOPER_PATH_REGEX = void 0;
const core_common_1 = require("@smallstack/core-common");
exports.DEVELOPER_PATH_REGEX = /apps\/([a-z0-9A-Z]*)[/]?.*/;
exports.LOCAL_STORAGE_DEVICE_UUID = "@smallstack/device/uuid";
exports.LOCAL_STORAGE_DEVICE_PIN = "@smallstack/device/pin";
// configuration keys used by each app
exports.ApplicationConfigurations = {
    AUTH_TYPE: "authorizationType",
    ICON_THEME: "iconTheme",
    LOGIN_ROUTE: "loginRoute"
};
exports.ApplicationConfigurationSchema = {
    type: "object",
    properties: {
        [exports.ApplicationConfigurations.AUTH_TYPE]: {
            title: "Anmeldungsart",
            type: "string",
            enum: ["customers", "backofficeUsers"],
            description: "Definieren Sie hier, ob sich Ihre Kunden oder Ihre Mitarbeiter an der App anmelden.",
            "x-i18n-prefix": "@@backoffice.applications.configurations.authorizationtypes."
        },
        [exports.ApplicationConfigurations.ICON_THEME]: {
            title: "Icon Theme",
            type: "string",
            enum: core_common_1.ICON_THEMES
        },
        [exports.ApplicationConfigurations.LOGIN_ROUTE]: {
            title: "Anmeldepfad",
            type: "string"
        }
    }
};
//# sourceMappingURL=constants.js.map